<?php
/*
Tweaked Admin Replacement Index.php

Notes: This is version 0.1.

I created this as a way to solve some of my blogging problems: namely, 
I opened my blog, then needed to access some or all of my other 
accounts in other places. All of the links are suited for my own
particular purposes. You may replace them as you wish.

Name: Investorblogger's Tweaked Admin Page
URI: http://www.investorblogger.com/archives/tweaked-admin-page
Description: Drawing on the following DB replacement, I've hacked the central
are with additional links. This file replaces wp-admin/index.php. 
Don't forget to backup the original file by making the renaming so if 
something goes wrong, your blog will be okay. Just rename the original file 
again! This file is offered without warranties of any kind.

Version: 0.1 (very poor).
Author: KenDickson98

Credits: This tweaked version draws largely on the following, but 
I have reorganized some stuff...!

Name: Angsuman's WordPress Admin DashBoard Replacement
URI: http://blog.taragana.com/index.php/archive/wordpress-15-hack-how-to-trim-the-fat-resource-hogging-admin-dashboard-version-2/
Description: This hack trims the bloat from WordPress Admin DashBoard. It is a drop in replacement for wp-admin/index.php
Version: 1.3
Author: Angsuman Chakraborty
*/

require_once('admin.php');
$title = __('Dashboard');
require_once('admin-header.php');
require_once (ABSPATH . WPINC . '/rss-functions.php');

$today = current_time('mysql', 1);
?>

</ul>
<td style="height: 40%;">
<div class="wrap">

<!--Add stuff-->
<table style="text-align: left; width: 80%;" border="0"
 cellpadding="2" cellspacing="2">
  <tbody>

    <tr>
<td style="vertical-align: top; width: 30%;"><h2><?php _e('Do Stuff!'); ?></h2>
<h3>Create</h3>
<ul>
	<li><a href="post.php">Post new entry</a></li>
	<li><a href="page-new.php">Post new page</a></li>
<li><a href="link-add.php">Add a link, too.</a></li>
</ul>
<h3>Edit</h3><ul>
	<li><a href="edit.php">Edit an entry</a></li>
	<li><a href="edit-pages.php">Edit a page</a></li>
</ul>
<h3>Moderate</h3>
<ul>
	<li><a href="edit-comments.php">Moderate comments</a></li>
</ul></td>

<td style="vertical-align: top; width: 30%;"><h2><?php _e('Other Tasks!'); ?></h2>
<h3>Basic Admin</h3>
<ul>
	<li><a href="http://www.investorblogger.com/wp-admin/themes.php?page=widgets/widgets.php">Widgets</a></li>
	<li><a href="http://www.investorblogger.com/wp-admin/options-general.php?page=sitemap.php">Sitemap</a></li>
<li><a href="http://www.investorblogger.com/wp-admin/options-general.php?page=wp-cache/wp-cache.php">Wp-cache</a></li>
</ul>
<h3>Important Tasks</h3><ul>
	<li><a href="http://www.investorblogger.com/wp-admin/edit.php?page=wp-db-backup.php">Backup Data</a></li>
	<li><a href="http://www.investorblogger.com/wp-admin/edit.php?page=akismet-admin">Akismet Spam</a></li>
</ul>
<h3>Categories</h3>
<ul>
	<li><a href="http://www.investorblogger.com/wp-admin/categories.php">Moderate categories</a></li>
</ul>
      </td>

<td style="vertical-align: top; width: 40%;">
<h2><?php _e('Latest Activity'); ?></h2>
<?php
if ( $recentposts = $wpdb->get_results("SELECT ID, post_title FROM $wpdb->posts WHERE post_status = 'publish' AND post_date_gmt < '$today' ORDER BY post_date DESC LIMIT 5") ) :
?>
<div>
<h3><?php _e('Posts'); ?> <a href="edit.php" title="<?php _e('More posts...'); ?>">&raquo;</a></h3>
<ul>
<?php
foreach ($recentposts as $post) {
	if ($post->post_title == '')
		$post->post_title = sprintf(__('Post #%s'), $post->ID);
	echo "<li><a href='post.php?action=edit&amp;post=$post->ID'>";
	the_title();
	echo '</a></li>';
}
?>
</ul>
</td></tr>

<tr>  
      <td style="vertical-align: top; width: 30%;"><h2><?php _e('Admin'); ?></h2>
<ul>
	<li><a href="http://www.google.com/adsense/">Adsense</a></li>
	<li><a href="http://www.adbrite.com/">Adbrite</a></li>
	<li><a href="http://www.text-link-ads.com/">TLA</a></li>
	<li><a href="http://webftp.dreamhost.com/">FTP via web</a></li>
	<li><a href="http://www.paypal.com/">Paypal</a></li>
	<li><a href="http://www.payperpost.com">PPP</a></li>
</ul></td>

      <td style="vertical-align: top; width: 30%;"><h2><?php _e('Traffic Stats'); ?></h2>
<ul>
	<li><a href="http://www.google.com/analytics/">Analytics</a></li>
        <li><a href="http://www.google.com/webmasters/">Webmaster Tools</a></li>
	<li><a href="http://www.blogsoldiers.com/">Blogsoldiers</a></li>
	<li><a href="http://www.blogexplosion.com/">Blog Explosion</a></li>
	<li><a href="http://www.blogadvance.com/">Blog Advance</a></li>
	<li><a href="http://www.blogmad.net/">Blogmad</a></li>
</ul></td>

<td style="vertical-align: top;">
<h2><?php _e('John Chow dot Com'); ?></h2>
<h3>Recent Posts</h3>
<?php
$rss = @fetch_rss('http://feeds.feedburner.com/JohnChowDotCom');
if ( isset($rss->items) && 0 != count($rss->items) ) {
$rss->items = array_slice($rss->items, 0, 5);
foreach ($rss->items as $item ) {
?>
<ul><li><a href='<?php echo wp_filter_kses($item['link']); ?>'>
<?php echo wp_specialchars($item['title']); ?></a></li></ul>
<?php
	}
}
?>
</td></tr></tbody></table>

<?php endif; ?>

<h2><?php _e('Other Blog Stats'); ?></h2>

<?php
if ( $scheduled = $wpdb->get_results("SELECT ID, post_title, post_date_gmt FROM $wpdb->posts WHERE post_status = 'publish' AND post_date_gmt > '$today'") ) :
?> 
<div>
<h3><?php _e('Scheduled Entries:') ?></h3>
<ul>
<?php
foreach ($scheduled as $post) {
	if ($post->post_title == '')
		$post->post_title = sprintf(__('Post #%s'), $post->ID);
	echo "<li><a href='post.php?action=edit&amp;post=$post->ID' title='" . __('Edit this post') . "'>$post->post_title</a> in " . human_time_diff( current_time('timestamp', 1), strtotime($post->post_date_gmt) )  . "</li>";
}
?> 
</ul>
</div>
<?php endif; ?>

<?php
if ( $comments = $wpdb->get_results("SELECT comment_author, comment_author_url, comment_ID, comment_post_ID FROM $wpdb->comments WHERE comment_approved = '1' ORDER BY comment_date_gmt DESC LIMIT 5") ) :
?>
<div>
<h3><?php _e('Comments'); ?> <a href="edit-comments.php" title="<?php _e('More comments...'); ?>">&raquo;</a></h3>
<ul>
<?php 
foreach ($comments as $comment) {
	echo '<li>' . sprintf('%s on %s', get_comment_author_link(), '<a href="'. get_permalink($comment->comment_post_ID) . '#comment-' . $comment->comment_ID . '">' . get_the_title($comment->comment_post_ID) . '</a>');
	edit_comment_link(__("Edit"), ' <small>(', ')</small>'); 
	echo '</li>';
}
?>
</ul>
<?php 
if ( $numcomments = $wpdb->get_var("SELECT COUNT(*) FROM $tablecomments WHERE comment_approved = '0'") ) :
?>
<p><strong><a href="moderation.php"><?php echo sprintf(__('There are comments in moderation (%s)'), number_format($numcomments) ); ?> &raquo;</a></strong></p>
<?php endif; ?>
</div>

<?php endif; ?>

<div>
<h3><?php _e('Blog Stats'); ?></h3>
<?php
$numposts = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->posts WHERE post_status = 'publish'");
if (0 < $numposts) $numposts = number_format($numposts); 

$numcomms = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->comments WHERE comment_approved = '1'");
if (0 < $numcomms) $numcomms = number_format($numcomms);

$numcats = $wpdb->get_var("SELECT COUNT(*) FROM $wpdb->categories");
if (0 < $numcats) $numcats = number_format($numcats);
?>
<p>There are currently <?php echo $numposts ?> <a href="edit.php" title="posts">posts</a> and <?php echo $numcomms ?> <a href="edit-comments.php" title="Comments">comments</a>, contained within <?php echo $numcats ?> <a href="categories.php" title="categories">categories</a>.</p>

<div style="clear: both">&nbsp;
<br clear="all" />
</div>
</div>
<?php
$drafts = $wpdb->get_results("SELECT ID, post_title FROM $wpdb->posts WHERE post_status = 'draft' AND post_author = $user_ID");
if ($drafts) {
?>
<div class="wrap">

    <p><strong><?php _e('Your Drafts:') ?></strong> 
    <?php
	$i = 0;
	foreach ($drafts as $draft) {
		if (0 != $i)
			echo ', ';
		$draft->post_title = stripslashes($draft->post_title);
		if ($draft->post_title == '')
			$draft->post_title = sprintf(__('Post #%s'), $draft->ID);
		echo "<a href='post.php?action=edit&amp;post=$draft->ID' title='" . __('Edit this draft') . "'>$draft->post_title</a>";
		++$i;
		}
	?> 
    .</p> 
</div>
<?php } ?>
<?php
require('./admin-footer.php');
?>
